Chromium Code Reviews
Help | Chromium Project | Sign in
(71)

Issue 2632593003: Notify listeners on OffScreenCanvas changes (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by emircan
Modified:
1 month ago
CC:
chromium-reviews, krit, dshwang, drott+blinkwatch_chromium.org, ajuma+watch-canvas_chromium.org, Stephen Chennney, blink-reviews-html_chromium.org, pdr+graphicswatchlist_chromium.org, jbroman, blink-reviews-platform-graphics_chromium.org, dglazkov+blink, Rik, f(malita), blink-reviews, kinuko+watch, ajuma+watch_chromium.org, danakj+watch_chromium.org, rwlbuis
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Notify listeners on OffScreenCanvas changes This CL adds a hook on commit() calls for OffScreenCanvas so that the changes are notified to the listeners. setPlaceholderFrame() calls are used as the hook. BUG=679610 TEST=Added layout test checking for a single frame capture and content_browsertest for a continuous capture. Also tested on html demo https://cdn.rawgit.com/uysalere/js-demos/master/offscreencanvas_user_commit.html Review-Url: https://codereview.chromium.org/2632593003 Cr-Commit-Position: refs/heads/master@{#452127} Committed: https://chromium.googlesource.com/chromium/src/+/8db1658c62cfe49d1be14bc0186d4c20152cfd84

Patch Set 1 : #

Total comments: 2

Patch Set 2 : Remove generate_tests use. #

Patch Set 3 : Remove transferFromImageBitmap(). #

Patch Set 4 : Rebase #

Patch Set 5 : #

Patch Set 6 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+93 lines, -7 lines) Patch
M content/browser/webrtc/webrtc_capture_from_element_browsertest.cc View 1 2 3 2 chunks +9 lines, -0 lines 0 comments Download
M content/test/data/media/canvas_capture.html View 1 2 3 4 3 chunks +17 lines, -3 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html View 1 2 3 1 chunk +41 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLCanvasElement.h View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLCanvasElement.cpp View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/AcceleratedStaticBitmapImage.cpp View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/OffscreenCanvasPlaceholder.h View 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/SkiaTextureHolder.h View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
Trybot results:  linux_chromium_tsan_rel_ng   chromium_presubmit   chromium_presubmit   linux_chromium_tsan_rel_ng   ios-simulator   linux_chromium_tsan_rel_ng   android_compile_dbg   ios-device-xcode-clang   chromium_presubmit   linux_chromium_rel_ng   win_chromium_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   win_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   android_clang_dbg_recipe   cast_shell_linux   android_n5x_swarming_rel   cast_shell_android   ios-device   android_arm64_dbg_recipe   mac_chromium_rel_ng   linux_chromium_asan_rel_ng   ios-simulator-xcode-clang   linux_android_rel_ng   win_clang   chromeos_daisy_chromium_compile_only_ng   android_cronet   linux_chromium_compile_dbg_ng   ios-simulator   chromium_presubmit   ios-simulator   android_cronet   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_rel_ng   linux_android_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_tsan_rel_ng   android_compile_dbg   win_clang   win_chromium_rel_ng   ios-device   win_chromium_compile_dbg_ng   android_n5x_swarming_rel   mac_chromium_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   android_clang_dbg_recipe   ios-device-xcode-clang   cast_shell_linux   mac_chromium_compile_dbg_ng   chromium_presubmit   ios-simulator-xcode-clang   linux_chromium_asan_rel_ng   linux_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   cast_shell_android   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 90 (66 generated)
emircan
PTAL. Note that currently testOffScreenCanvasTransferBitmaps() tests fail. I don't see why they would. Let me ...
2 months ago (2017-01-19 01:31:00 UTC) #10
Justin Novosad
https://codereview.chromium.org/2632593003/diff/60001/third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html File third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html (right): https://codereview.chromium.org/2632593003/diff/60001/third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html#newcode40 third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html:40: generate_tests(testOffScreenCanvasCommits, [ The testharness documentation says you can't use ...
2 months ago (2017-01-19 19:06:31 UTC) #13
emircan
https://codereview.chromium.org/2632593003/diff/60001/third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html File third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html (right): https://codereview.chromium.org/2632593003/diff/60001/third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html#newcode40 third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html:40: generate_tests(testOffScreenCanvasCommits, [ On 2017/01/19 19:06:31, Justin Novosad wrote: > ...
2 months ago (2017-01-19 20:50:52 UTC) #16
Justin Novosad
On 2017/01/19 20:50:52, emircan wrote: > https://codereview.chromium.org/2632593003/diff/60001/third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html > File > third_party/WebKit/LayoutTests/fast/mediacapturefromelement/CanvasCaptureMediaStream-offscreencanvas.html > (right): > > ...
2 months ago (2017-01-19 21:01:29 UTC) #17
emircan
On 2017/01/19 21:01:29, Justin Novosad wrote: > > Right. I have a WIP CL that ...
2 months ago (2017-01-19 23:06:52 UTC) #22
emircan
I addressed transferFromImageBitmap() issues in this CL: https://codereview.chromium.org/2683343002/ Here I am going to only address ...
1 month, 1 week ago (2017-02-10 23:38:23 UTC) #37
emircan
junov@, I rebased and added the corresponding content_browsertests here as well. Now, this code is ...
1 month, 1 week ago (2017-02-15 22:49:35 UTC) #55
Justin Novosad
Olivia, please a look at this.
1 month, 1 week ago (2017-02-16 15:03:02 UTC) #57
xlai (Olivia)
On 2017/02/16 15:03:02, Justin Novosad wrote: > Olivia, please a look at this. My guess ...
1 month ago (2017-02-16 17:18:11 UTC) #58
emircan
On 2017/02/16 17:18:11, xlai (Olivia) wrote: > On 2017/02/16 15:03:02, Justin Novosad wrote: > > ...
1 month ago (2017-02-16 19:22:36 UTC) #61
xlai (Olivia)
On 2017/02/16 19:22:36, emircan wrote: > On 2017/02/16 17:18:11, xlai (Olivia) wrote: > > On ...
1 month ago (2017-02-16 19:51:11 UTC) #62
emircan
On 2017/02/16 19:51:11, xlai (Olivia) wrote: > Hmmm, you're still overwriting MailboxTextureHolder to > SkiaTextureHolder. ...
1 month ago (2017-02-16 22:22:15 UTC) #66
xlai (Olivia)
lgtm
1 month ago (2017-02-16 22:25:06 UTC) #68
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2632593003/320001
1 month ago (2017-02-17 01:42:35 UTC) #72
xlai (Olivia)
On 2017/02/17 01:42:35, commit-bot: I haz the power wrote: > CQ is trying da patch. ...
1 month ago (2017-02-17 02:10:00 UTC) #73
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
1 month ago (2017-02-17 03:44:56 UTC) #75
emircan
On 2017/02/17 02:10:00, xlai (Olivia) wrote: > On 2017/02/17 01:42:35, commit-bot: I haz the power ...
1 month ago (2017-02-17 18:47:03 UTC) #76
Justin Novosad
lgtm
1 month ago (2017-02-21 18:27:55 UTC) #77
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2632593003/320001
1 month ago (2017-02-21 18:55:50 UTC) #79
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) linux_chromium_chromeos_rel_ng on ...
1 month ago (2017-02-21 20:58:16 UTC) #81
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2632593003/320001
1 month ago (2017-02-21 21:14:11 UTC) #83
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_tsan_rel_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
1 month ago (2017-02-22 01:38:05 UTC) #85
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2632593003/320001
1 month ago (2017-02-22 17:38:05 UTC) #87
commit-bot: I haz the power
1 month ago (2017-02-22 18:10:27 UTC) #90
Message was sent while issue was closed.
Committed patchset #6 (id:320001) as
https://chromium.googlesource.com/chromium/src/+/8db1658c62cfe49d1be14bc0186d...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62